exchange_rates: Get Exchange Rates

API: coingecko.com:coingecko-api
Endpoint: /exchange_rates
Response format: application/json
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 138ms

Description

Get current exchange rates showing how much various fiat and crypto currencies are worth in Bitcoin (BTC). Useful for currency conversion calculations. Each rate includes the currency name, unit code, BTC value, and currency type (fiat or crypto).

From spec: Get BTC-to-Currency exchange rates

Usage Tips

- All values are 'how much of this currency equals 1 BTC' - Includes major fiat currencies (USD, EUR, GBP, etc.) and cryptocurrencies - Use for conversion calculations: value_in_btc = amount / rate - `type` field distinguishes fiat from crypto currencies - Updated in real-time based on market rates

Examples (1)

Get BTC-to-Currency Exchange Rates curl

Get current BTC-to-currency exchange rates

curl 'https://api.coingecko.com/api/v3/exchange_rates' \
  -d '{"status": {"error_code": 429, "error_message": "You've exceeded the Rate Limit. Please visit https://www.coingecko.com/en/api/pricing to subscribe to our API plans for higher rate limits."}}'
import requests

resp = requests.get(
    "https://api.coingecko.com/api/v3/exchange_rates",
    json={
        'status': {'error_code': 429, 'error_message': "You've exceeded the Rate Limit. Please visit https://www.coingecko.com/en/api/pricing to subscribe to our API plans for higher rate limits."},
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("coingecko")
result = api.fetch("exchange_rates")

for item in result:
    print(item)
const body = {
  "status": {
    "error_code": 429,
    "error_message": "You've exceeded the Rate Limit. Please visit https://www.coingecko.com/en/api/pricing to subscribe to our API plans for higher rate limits."
  }
};

const resp = await fetch("https://api.coingecko.com/api/v3/exchange_rates", {
  body: JSON.stringify(body),
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 01:07:41.496044 200 138ms
2026-04-15 01:52:56.826243 200 115ms
2026-04-14 00:43:48.183448 200 145ms
2026-04-12 14:35:07.218963 200 147ms
2026-04-10 04:15:14.453594 200 90ms
2026-04-09 01:20:36.089340 200 129ms
2026-04-06 04:44:36.300727 200 207ms
2026-04-05 03:25:54.121142 200 210ms
2026-04-04 02:31:21.903053 200 142ms
2026-04-03 13:27:47.396989 200 136ms
2026-03-30 02:11:31.257923 200 147ms
2026-03-29 13:02:00.653368 200 118ms
2026-03-23 09:25:40.267764 200 89ms